<h1 align="center">TUICallKit</h1>

<p align="center">A React Voice & Video Calling UI Component, easily add calling capabilities to your web application.React version

<div align="center">
<img src="https://img.shields.io/badge/Platform-React-green">
<img src="https://img.shields.io/npm/v/@tencentcloud/call-uikit-react">
<img src="https://img.shields.io/badge/support-docs%20%26%20demos-yellow">
<img src="https://img.shields.io/npm/l/@tencentcloud/call-uikit-react">

[Demo](https://web.sdk.qcloud.com/component/TUICallKit/demos/basic-react/index.html) · [Report Bug](https://github.com/tencentyun/TUICallKit/issues) · English · [中文](https://github.com/tencentyun/TUICallKit/blob/main/Web/README.react.zh.md)
</div>

![](https://raw.githubusercontent.com/andreasbm/readme/master/assets/lines/rainbow.png)


## Online Demo

- Desktop Web
<img src="https://web.sdk.qcloud.com/trtc/call/pope-test/react-doc/en/Background-pc-en.png" style="width: 1000px; margin: 10px;" align="center">

- H5
<img src="https://web.sdk.qcloud.com/trtc/call/pope-test/react-doc/en/Background-en.png" style="width: 1000px; margin: 10px;" align="center">

- Group Call
<img src="https://web.sdk.qcloud.com/trtc/call/pope-test/react-doc/en/Background-group-mobile-en.png" style="width: 1000px; margin: 10px;" align="center">

## Features

- ⚡️ Supports C2C/Group/Voice/Video calls, switch calling type, select calling devices
- 🌟 3 lines of code to run through the test demo, 6 lines of code to complete the common ability to access
- 📱 Multi-device adaptation, support H5 webview
- 🛠 Ecology system, works with [TUIKit](https://www.tencentcloud.com/document/product/1047/50061) to initiate audio/video calls directly in [Chat](https://www.tencentcloud.com/document/product/1047/33513) sessions
- ☁️ eploy on Tencent Cloud, end-to-end average latency < 300ms on international links
- 🤙🏻 Low lag, anti-packet loss rate over 80%, anti-network jitter over 1000ms, still smooth and stable in weak network environment
- 🌈 High calling quality, support 720P, 1080P HD quality, 70% packet loss can still running
- 🌍 Internationalization, supporting three languages: Chinese, English, and Japanese



## Install

```bash
npm install @tencentcloud/call-uikit-react
```

## Usage

Here are a few guidelines for using this component

- Click [demo](https://web.sdk.qcloud.com/component/TUICallKit/demos/basic-react/index.html) to try out 1v1 Voice and Video Call online.

- If you want to experience it in your dev mode, please read [Run the React Demo](https://github.com/tencentyun/TUICallKit/blob/main/Web/demos/basic-react).

- If you want to install this component into your project, please read [TUICallKit Getting Started](https://cloud.tencent.com/document/product/647/102510).

## Changelog

### Version 1.0.4 @2023.12.29

**Bug Fixes**

- Fix display logic for small windows.
- Fix text selection effect when clicking buttons on mobile devices.
- Fix the issue of local preview not showing when the callee starts a video call.

### Version 1.0.3 @2023.12.22

**Optimize**

- Optimize nickname display.

**Bug Fixes**

- Fix desktop floating window hang-up problem.


### Version 1.0.2 @2023.12.17

**Features**

- Add @tencentcloud/call-uikit-react for adapting to react, and bring a brand new interaction.


## Contact Us
- If you have questions, see [FAQs](https://cloud.tencent.com/document/product/647/78769)


## License

ISC License © 2022-present, [Tencent](https://www.tencent.com/)
