<h1 align="center">TUICallKit</h1>

<p align="center">React 版本的音视频通话 UI 组件，通过编写几行代码，就可以为您的 Web 应用添加音视频通话功能。

<div align="center">
<img src="https://img.shields.io/badge/Platform-React-green">
<img src="https://img.shields.io/npm/v/@tencentcloud/call-uikit-react">
<img src="https://img.shields.io/badge/support-docs%20%26%20demos-yellow">
<img src="https://img.shields.io/npm/l/@tencentcloud/call-uikit-react">

[Demo](https://web.sdk.qcloud.com/component/TUICallKit/demos/basic-react/index.html) · [Report Bug](https://github.com/tencentyun/TUICallKit/issues) · [English](https://github.com/tencentyun/TUICallKit/blob/main/Web/README.react.md) · 中文
</div>

![](https://raw.githubusercontent.com/andreasbm/readme/master/assets/lines/rainbow.png)


## Demo 演示

- 桌面端
<img src="https://web.sdk.qcloud.com/trtc/call/pope-test/react-doc/Background-pc.png" style="width: 800px; margin: 10px;" align="center">

- 移动端
<img src="https://web.sdk.qcloud.com/trtc/call/pope-test/react-doc/en/Background-mobile.png" style="width: 1000px; margin: 10px;" align="center">

- 群通话
<img src="https://web.sdk.qcloud.com/trtc/call/pope-test/react-doc/Background-group-mobile.png" style="width: 1000px; margin: 10px;" align="center">

## 特性

- ⚡️ 功能全面 —— 支持单人/多人/音频/视频通话、支持视频转音频通话、支持自由选择通话设备
- 🌟 低门槛 —— 仅需 3 行代码即可跑通测试 Demo，6 行代码完成通用能力接入
- 📱 多设备适配 —— 支持 H5 1v1 通话、群组通话 布局
- 🛠 优秀生态 —— 与 [TUIKit](https://cloud.tencent.com/document/product/269/79737) 协同使用，可以在 [TIM](https://cloud.tencent.com/document/product/269) 会话中直接发起音视频通话
- ☁️ 低延迟 —— 腾讯云全球链路资源储备，保证国际链路端到端平均时延 < 300ms
- 🤙🏻 低卡顿 —— 抗丢包率超过 80%、抗网络抖动超过 1000ms，弱网环境仍顺畅稳定
- 🌈 高品质 —— 支持 720P、1080P 高清画质，70% 丢包率仍可正常视频
- 🌍 国际化 —— 支持中/英/日三种语言

## 安装

```bash
npm install @tencentcloud/call-uikit-react
```

## 使用指引

为方便您的使用，本组件配套多篇使用指引：

- 如果您想在线体验通话效果，请访问 [音视频通话 demo](https://web.sdk.qcloud.com/component/TUICallKit/demos/basic-react/index.html)

- 如果您想要调试通话效果，请阅读 [React Demo 快速跑通](https://github.com/tencentyun/TUICallKit/blob/main/Web/demos/basic-react)

- 如果您想把我们的功能直接嵌入到您的项目中，请阅读 [快速接入 TUICallKit](https://cloud.tencent.com/document/product/647/102510)

## Changelog

### Version 1.0.4 @2023.12.29

**Bug Fixes**

- Fix display logic for small windows.
- Fix text selection effect when clicking buttons on mobile devices.
- Fix the issue of local preview not showing when the callee starts a video call.

### Version 1.0.3 @2023.12.22

**Optimize**

- Optimize nickname display.

**Bug Fixes**

- Fix desktop floating window hang-up problem.


### Version 1.0.2 @2023.12.17

**Features**

- Add @tencentcloud/call-uikit-react for adapting to react, and bring a brand new interaction.


## 联系我们
- 如果你遇到了困难，可以先参阅 [常见问题](https://cloud.tencent.com/document/product/647/78769)；
- 有任何问题可以在[腾讯云通讯官方社群](https://zhiliao.qq.com/)中的 TUICallKit 板块中提出；
- 如果发现了示例代码的 bug，欢迎提交 issue；

## License

ISC License © 2022-present, [Tencent](https://www.tencent.com/)
